import IDButton from "./identity-button";

export default function IdentityBlock({ identities, partners }) {
  return (
    <nav>
      <div className="grid xl:grid-rows-1 xl:grid-cols-6 sm:grid-rows-2 sm:grid-cols-3 grid-rows-9 grid-cols-1 sm:gap-2 gap-0">
        {Object.keys(identities).map((ids) => (
          <IDButton
            key={ids}
            innerText={ids}
            url={identities[ids].url}
            locator={identities[ids].locator}
            imageObj={identities[ids].images}
            extraClasses={identities[ids].extra_classes}
            partners={partners}
          />
        ))}
      </div>
    </nav>
  );
}
