import SCard from "./server-card";

export default function ServerBlock({ servers }) {
  return (
    <div className="p-4 w-full inline-flow align-middle justify-center space-y-8">
      {Object.keys(servers).map((server) => (
        <SCard
          server={server}
          model={servers[server].model}
          cpu={servers[server].cpu}
          gpu={servers[server].gpu}
          ram={servers[server].ram}
          os={servers[server].os}
        />
      ))}
    </div>
  );
}
